Bug 803336 - [fa5b0347193f8d1a4b917a2edb338423cb175e66]: add-brick does not show proper error msg if brick is already present in a volume.
[fa5b0347193f8d1a4b917a2edb338423cb175e66]: add-brick does not show proper er...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
pre-release
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 09:34 EDT by Rahul C S
Modified: 2013-07-24 14:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:00:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul C S 2012-03-14 09:34:48 EDT
Description of problem:
root@Dagobah:~# gluster volume add-brick vol dagobah:/data/export1/ dagobah:/data/export2
Add Brick unsuccessful
root@Dagobah:~# gluster volume info
 
Volume Name: vol
Type: Distributed-Replicate
Volume ID: d02487da-ef7b-47c3-8c86-5e435f76211f
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: dagobah:/data/export1
Brick2: dagobah:/data/export6
Brick3: dagobah:/data/export5
Brick4: dagobah:/data/export4
Options Reconfigured:
performance.read-ahead: on
features.quota: on
features.limit-usage: /:7GB
performance.stat-prefetch: on
root@Dagobah:~#
Comment 2 Kaushal 2012-06-06 00:12:54 EDT
Fixed by commit 04fd297 (glusterd: Set errstr for duplicate add-brick)

Note You need to log in before you can comment on or make changes to this bug.